chrome.storage.local.get('check', function (res) {
    if (res.check === 'on') {success($('#onOff'));} else {danger($('#onOff'));}
})
chrome.storage.local.get('hidden', function (res) {
    if (res.hidden === 'on') {success($('#hiddenExtension'));} else {danger($('#hiddenExtension'));}
})
function danger(e) {
    e.attr('data-status', 'off');
    chrome.storage.local.get('lang', function (lang){
        if (lang.lang === 0){e.html('Выключено').attr('class', 'btn btn-danger');}else {
            e.html('Stop').attr('class', 'btn btn-danger');}
    })
}
function success(e) {
    e.attr('data-status', 'on');
    chrome.storage.local.get('lang', function (lang){
        if (lang.lang === 0){e.html('Включено').attr('class', 'btn btn-success');}else {
            e.html('Active').attr('class', 'btn btn-success');}
    });
}
function toggle(type, button) {
    let buttonHTML = button.attr('data-status');
    if (buttonHTML === 'on') {
        danger(button);
        if (type === 'check') {chrome.storage.local.set({check: 'off'});chrome.browserAction.setIcon({path: "/components/warning.png"});} else {
            chrome.storage.local.set({hidden: 'off'});chrome.runtime.sendMessage({message: "extensionOff"}, function (e) {chrome.runtime.lastError;});
        }
    } else {
        success(button);
        if (type === 'check') {chrome.storage.local.set({check: 'on'});chrome.browserAction.setIcon({path: "/icon.png"});} else {
            chrome.storage.local.set({hidden: 'on'});chrome.runtime.sendMessage({message: "extensionOn"}, function (e) {chrome.runtime.lastError;
            });
        }
    }
}
$('#onOff').on('click', function () {toggle('check', $(this));});
$('#hiddenExtension').on('click', function () {toggle('hidden', $(this));});

