let langArray = [
    ['Баланс', 'Balance'],
    ['Привлекайте новых пользователей и получайте пожизненно 10 - 30 % от их дохода.', 'Attract new users and receive 10 - 30% of their income for life.'],
    ['Количество доступных заданий:', 'Number of available tasks:'],
    ['+10% к заработку, если включён Автосёрфинг', '+10% to earnings if Autosurfing is enabled'],
    ['Change language to English', 'Перейти на русскую версию'],
    ['Вы не авторизированы в', 'You are not logged into'],
    ['Авторизоваться', 'Login']
];
langBtn = [
    ['Включено', 'Active'],
    ['Выключено', 'Stop']
];
function setLang(){
    chrome.storage.local.get('lang', function(lang){
        console.log(lang.lang);
        let elements = ['#balance', '#refInfo', '#tasks', '#serf-info', '.changeLang', '#no-login-info', '#loginBtn'];
        elements.forEach(function (element, id){
            $(element).html(langArray[id][lang.lang]);
        });
        let btn = ['#onOff', '#hiddenExtension'];
        btn.forEach(function(element, id){
            if ($(element).attr('data-status') === 'on'){
                $(element).html(langBtn[0][lang.lang]);
            }else{
                $(element).html(langBtn[1][lang.lang]);
            }
        });
    })
}
setLang();
function changeLang(){
    chrome.storage.local.get('lang', function(lang){
        if (lang.lang === 1){chrome.storage.local.set({lang: 0});setLang();
        }else{chrome.storage.local.set({lang: 1});setLang();}})
}
$('.changeLang').on('click',changeLang);