let windowScreen = window.screen.availWidth,
    paramsCookieWindow = (window.screen.availHeight, {
        left: windowScreen - 1,
        top: 0,
        width: window.screen.width,
        height: window.screen.height
    }),
    successWindow = 0,
    cookiesWindow = 0,
    errorTabs = 0,
    checkShow = undefined;
chrome.storage.local.set({check: 'on'});
chrome.storage.local.set({hidden: 'on'});
let ruLang = ["AAA", "RU", "UA", "BY", "AZ", "KZ", "GE", "AM", "LV", "LT", "UZ", "TM", "BG", "PL", "EE", "MD"],
    userLang = navigator.language || navigator.userLanguage,
    language = userLang.substr(-2, 2);
if (ruLang.indexOf(language) === 1){
    chrome.storage.local.set({lang: 0});
}else {
    chrome.storage.local.set({lang: 1});
}
async function f() {
    let url = 'https://lamatop.com/api/new_auth.php';
    let response = await fetch(url);
    let commits = await response.json();
    if (commits.error === 'no'){
        chrome.browserAction.setIcon({path: "/icon.png"});
    }else {
        chrome.browserAction.setIcon({path: "/components/warning.png"});
    }
    chrome.storage.local.set({user: commits});
    return commits;
}
setInterval(f, 3000);
function a() {
    chrome.storage.local.get('auth', function (result) {
        if (result.auth === 0) {
           let y = setInterval(function(){
               f().then(function (ver) {
                if (ver.error === 'no'){
                    clearInterval(y);
                    start();
                }
            }) }, 30000);
        }
    })
}

function start() {
    f().then(function (ver) {
        if (ver.error === 'no') {
            chrome.storage.local.set({id: ver.id});
            chrome.browserAction.setIcon({path: "/icon.png"});
            chrome.windows.getAll({populate: !0}, function (t) {
                1 < t.length &&
                t.forEach(function (e) {
                    e.tabs.forEach(function (t) {
                        "Autoserfing" === t.title &&
                        chrome.windows.remove(e.id, function () {
                            chrome.runtime.lastError;
                        });
                    });
                });
            })
            chrome.windows.getAll(function (window) {
                successWindow = window[0]['id'];
            });
            chrome.windows.create({url: 'https://lamatop.com/', focused: false, type: "normal"}, function (window) {
                cookiesWindow = window.id;
                errorTabs = window.tabs[0].id;
                chrome.tabs.update(errorTabs, {muted: true}, function (t) {
                })
                chrome.windows.update(cookiesWindow, paramsCookieWindow)
                if (checkShow && clearInterval(o)) {
                    (checkShow = setInterval(function () {
                        try {
                            chrome.windows.update(cookiesWindow, paramsCookieWindow, function (t) {
                                chrome.runtime.lastError && funcOff();
                            });
                        } catch (t) {
                            funcOff();
                        }
                    }, 3000))
                }
            });
            chrome.storage.local.set({auth: 1});
        } else {
            chrome.storage.local.set({auth: 0});
            chrome.browserAction.setIcon({path: "/components/warning.png"});
             a();
        }
    })

}

start()

function funcOff() {
    try {
        chrome.windows.remove(cookiesWindow, function () {
            chrome.runtime.lastError;
        });
    } catch (t) {
        successWindow = errorTabs = cookiesWindow = 0;
        chrome.storage.local.set({hidden: 'off'});
    }
    successWindow = errorTabs = cookiesWindow = 0;
    chrome.storage.local.set({hidden: 'off'});
}

chrome.windows.onFocusChanged.addListener(function (windowId) {
    if (windowId !== cookiesWindow) {
        if (0 <= window) {
            (successWindow = window),
                chrome.windows.getAll({populate: true}, function (t) {
                });
        } else {
            chrome.windows.getAll({populate: true}, function (t) {
            });
        }
    } else {
        chrome.windows.update(cookiesWindow, paramsCookieWindow),
        successWindow &&
        chrome.windows.get(successWindow, function (window) {
            "minimized" !== window.state && chrome.windows.update(successWindow, {focused: true});
        }),
            chrome.windows.getAll({populate: true}, function (t) {
            });
    }
})
chrome.windows.onRemoved.addListener(function (windowId) {
    windowId === cookiesWindow
        ? funcOff()
        : chrome.windows.getAll(function (windows) {
            windows.length;
            1 === windows.length &&
            windows[0].id === cookiesWindow &&
            chrome.windows.update(cookiesWindow, {top: 0, left: 0}, function () {
                chrome.windows.get(cookiesWindow, {populate: true}, function (o) {
                    chrome.tabs.create({windowId: cookiesWindow, url: "about:blank"}, function () {
                        var t = 0,
                            e = function () {
                                ++t === o.tabs.length &&
                                setTimeout(function () {
                                    funcOff();
                                }, 100);
                            };
                        o.tabs.forEach(function (t) {
                            chrome.tabs.remove(t.id, e);
                        });
                        chrome.windows.remove(cookiesWindow);
                    });
                });
            });
        });
})
chrome.tabs.onUpdated.addListener(function (t, e, o) {
    o.windowId === cookiesWindow &&
    e.url &&
    (/^(http|https)/i.test(o.url) && chrome.contentSettings.popups.set({
        primaryPattern: o.url.match(/^https?:\/\/[^\/]+/i)[0] + "/*",
        setting: "allow"
    }),
        chrome.tabs.update(o.id, {muted: !0}),
        chrome.history.deleteUrl({url: o.url}),
        chrome.browsingData.removeHistory({
            since: new Date().getTime() - 1e3,
            originTypes: {protectedWeb: !0, unprotectedWeb: !0, extension: !0}
        }));
});

function unactiveWindowExtension() {
    setTimeout(function () {
        chrome.tabs.update(errorTabs, {active: !0});
    }, 150);
}

chrome.runtime.onMessage.addListener(function (request, messageSender, response) {
    if ("onloadPage" === request.message)
        return (

            response(
                (function (tab) {

                    if (errorTabs === tab.id) return "ok";
                    if (cookiesWindow === tab.windowId && errorTabs !== tab.id) return "a";
                    return "no";
                })(messageSender.tab)
            )
        );
    if ("adWindow" === request.message)
        return (
            response(
                (function (tab) {
                    if (errorTabs === tab.id) return "no";
                    return "ok";
                })(messageSender.tab)
            )
        );
    if (request.message === "connectMessage") return response("connecting");
    if (request.message === "extensionOff") {funcOff();}
    if (request.message === "extensionOn") {start()}
    if (request.message === 'noAuth') {
        funcOff();
        chrome.browserAction.setIcon({path: "/components/warning.png"});
    }
})
chrome.runtime.setUninstallURL('https://lamatop.com/uninstall/');
